OGRE: Ogre::WorkQueue::Request Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Friends | List of all members
Ogre::WorkQueue::Request Class Reference

General purpose request structure. More...

`#include <OgreWorkQueue.h>`

Inheritance diagram for Ogre::WorkQueue::Request:
[legend]

## Public Member Functions
| Request (uint16 channel, uint16 rtype, const Any &rData, uint8 retry, RequestID rid)
| Constructor. More...
| ~Request ()
void | abortRequest () const
| Set the abort flag. More...
bool | getAborted () const
| Get the abort flag. More...
uint16 | getChannel () const
| Get the request channel (top level categorisation) More...
const Any & | getData () const
| Get the user details of this request. More...
RequestID | getID () const
| Get the identifier of this request. More...
uint8 | getRetryCount () const
| Get the remaining retry count. More...
uint16 | getType () const
| Get the type of this request within the given channel. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Friends
class | WorkQueue

## Detailed Description

General purpose request structure.

## Constructor & Destructor Documentation

## ◆ Request()

Ogre::WorkQueue::Request::Request | ( | uint16 | channel,
|  | uint16 | rtype,
|  | const Any & | rData,
|  | uint8 | retry,
|  | RequestID | rid
| ) |  |

Constructor.

## ◆ ~Request()

Ogre::WorkQueue::Request::~Request | ( |  | ) |

## Member Function Documentation

## ◆ abortRequest()

void Ogre::WorkQueue::Request::abortRequest | ( |  | ) | const
| inline

Set the abort flag.

Referenced by Ogre::WorkQueue::Response::abortRequest().

## ◆ getAborted()

bool Ogre::WorkQueue::Request::getAborted | ( |  | ) | const
| inline

Get the abort flag.

Referenced by Ogre::WorkQueue::RequestHandler::canHandleRequest(), and Ogre::WorkQueue::ResponseHandler::canHandleResponse().

## ◆ getChannel()

uint16 Ogre::WorkQueue::Request::getChannel | ( |  | ) | const
| inline

Get the request channel (top level categorisation)

## ◆ getData()

const Any& Ogre::WorkQueue::Request::getData | ( |  | ) | const
| inline

Get the user details of this request.

## ◆ getID()

RequestID Ogre::WorkQueue::Request::getID | ( |  | ) | const
| inline

Get the identifier of this request.

## ◆ getRetryCount()

uint8 Ogre::WorkQueue::Request::getRetryCount | ( |  | ) | const
| inline

Get the remaining retry count.

## ◆ getType()

uint16 Ogre::WorkQueue::Request::getType | ( | void |  | ) | const
| inline

Get the type of this request within the given channel.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## Friends And Related Function Documentation

## ◆ WorkQueue

friend class WorkQueue
| friend

The documentation for this class was generated from the following file:

- OgreWorkQueue.h